%define libname %mklibname spreadsheet %{version}
%define goffice %(rpm -q --queryformat %%{VERSION} goffice)

Name: 		gnumeric
Summary: 	A full-featured spreadsheet for GNOME
Summary(de): 	Eine voll funktionsfähige Tabellenkalkulation für GNOME
Version: 	1.12.41
Release: 	%mkrel 1
License: 	GPL
Group: 		Office
URL:		http://www.gnome.org/projects/gnumeric/
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.xz
Patch1:		gnumeric-1.9.17-format-strings.patch
Patch2:		gnumeric-1.12.32-fix-desktop-file.patch
Patch5:		gnumeric-1.8.2-CVE-2009-0318-rh.patch
Patch6:		gnumeric-1.12.40-workaround-itstool-bug.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gsf-1_114-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}psiconv6-devel
BuildRequires: %{_lib}px-devel
BuildRequires: %{_lib}python-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	libglade2.0-devel
BuildRequires:  perl-devel
BuildRequires:	rarian
BuildRequires:	intltool
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}goffice0.10_10-devel >= %{goffice}
Requires:	goffice >= %{goffice}
Requires:	dconf-editor
Obsoletes: 	%name < %version
Obsoletes:	libspreadsheet1.10.4
Obsoletes:	libspreadsheet1.10.5
Obsoletes:	libspreadsheet1.10.6


%description
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%description -l de
Das volle Tabellenkalkulation für GNOME Das ist Gnumeric, das GNOME Tabellenkalkulations-
programm. Wenn Sie mitExcel arbeiten, sollten Sie sich Gnumeric mal anschauen. Es versucht 
die guten Eigenschaften zu klonen und es so einfach wie möglich zu gestalten, dabei jedoch 
zu Excel kompatibel zu bleiben. Wir hoffen, dass die Bugs zurückgelassen wurden:).

%package devel
Summary: Spreadsheet library from Gnumeric - development files
Summary(de): Tabellenkalkulations-Bibliotheken aus Gnumeric - Entwicklungs Dateien
Group: Development/Libraries
Requires: %name = %{version}
Obsoletes: libspreadsheet-devel < %{version}-%{release}
Provides: libspreadsheet-devel = %{version}-%{release}

%description devel
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).
%description devel -l de
Das volle Tabellenkalkulation für GNOME Das ist Gnumeric, das GNOME Tabellenkalkulations-
programm. Wenn Sie mitExcel arbeiten, sollten Sie sich Gnumeric mal anschauen. Es versucht 
die guten Eigenschaften zu klonen und es so einfach wie möglich zu gestalten, dabei jedoch 
zu Excel kompatibel zu bleiben. Wir hoffen, dass die Bugs zurückgelassen wurden:).


%prep
%setup -q
chmod -x plugins/excel/rc4.?
%apply_patches


%build
autoreconf -fi
%configure2_5x 


%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# Menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Science" \
  --remove-category="Math" \
  --remove-mime-type="zz-application/zz-winassoc-xls" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-Office-Spreadsheets" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -f icons/48x48/apps/*.png  $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
cp -f icons/48x48/apps/*.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
cp -f icons/48x48/apps/*.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
cp -f icons/48x48/apps/*.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

#mv $RPM_BUILD_ROOT/usr/lib/locale $RPM_BUILD_ROOT/%{_datadir}/locale


#remove .la files
find %buildroot -name \*.la|xargs rm


%find_lang %{name} --with-gnome --all-name 
%find_lang %{name}-functions

cat %{name}-functions.lang >> %{name}.lang


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas


%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS BUGS README
%{_bindir}/*
%{_libdir}/gnumeric/
%{_libdir}/goffice/0.10/plugins
%{_datadir}/gnumeric/
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/gnumeric*
%{_mandir}/man1/*
%{_datadir}/pixmaps/*
%{_datadir}/appdata/gnumeric.appdata.xml
%{_libdir}/libspreadsheet-%{version}.so
%{_datadir}/glib-2.0/schemas
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/help

%files devel
%defattr(-, root, root)
%{_libdir}/libspreadsheet.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libspreadsheet-*/

%changelog
* Wed May 16 2018 adrianomorselli <adrianomorselli> 1.12.41-1uplos2018
- update
